Apache JMeter

## org.apache.jmeter.gui
Class ReportMainFrame.WindowHappenings

    java.lang.Object
      java.awt.event.WindowAdapter
          org.apache.jmeter.gui.ReportMainFrame.WindowHappenings

All Implemented Interfaces:
  WindowFocusListener, WindowListener, WindowStateListener, EventListener

Enclosing class:
  ReportMainFrame

    protected static class ReportMainFrame.WindowHappenings

extends WindowAdapter

A window adapter used to detect when the main JMeter frame is being closed.

Constructor Summary
`protected` `ReportMainFrame.WindowHappenings()`

Method Summary
`void` `windowClosing(WindowEvent event)` Called when the main JMeter frame is being closed.

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportMainFrame.WindowHappenings

    protected ReportMainFrame.WindowHappenings()

Method Detail

### windowClosing

    public void windowClosing(WindowEvent event)

  Called when the main JMeter frame is being closed. Sends a notification so that JMeter can react appropriately.

  Specified by:
    `windowClosing` in interface `WindowListener`
  Overrides:
    `windowClosing` in class `WindowAdapter`
  Parameters:
    `event` - the WindowEvent to handle

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.